import { createApp } from 'vue';
import App from './App.vue';
import router from './router';


//Estils propis SCSS
import "@/styles/styles.scss";

//Import de bootstrap
import "bootstrap/dist/css/bootstrap.css";
import "bootstrap";


//API Google Maps
import VueGoogleMaps from '@fawmi/vue-google-maps';

// Conexio firebase
import { initializeApp } from "firebase/app";

const firebaseConfig = {
    apiKey: "AIzaSyDbIT1rnjDPKqB8xODCPo84bdj2RPXIe6I",
    authDomain: "tfg-ecoilles.firebaseapp.com",
    projectId: "tfg-ecoilles",
    storageBucket: "tfg-ecoilles.appspot.com",
    messagingSenderId: "28302949613",
    appId: "1:28302949613:web:a3a45961e457fcee35e0e4"
  };

initializeApp(firebaseConfig);





createApp(App).use(router).use(VueGoogleMaps, {
    load: {
        key: 'AIzaSyDbIT1rnjDPKqB8xODCPo84bdj2RPXIe6I',
        libraries: "places"
    },
}).mount('#app')


